.modal-overlay
{
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.modal-content
{
    background: white;
    padding: 20px;
    border-radius: 10px;
    min-width: 300px;
    max-width: 800px;
    max-height: 90vh;
    overflow-y: auto;
    position: relative;
}

.modal-close
{
    position: absolute;
    top: 12px;
    right: 12px;
    background: transparent;
    border: none;
    font-size: 24px;
    cursor: pointer;
    background-color: #223678;
    color: #fff;
    width: 28px;
    height: 28px;
    line-height: 28px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

.modal-overlay.hidden
{
    display: none;
}

#modal_history
{
    > div
    {
        padding: 20px;
    }

    #modal_history_baner
    {
        text-align: center;
        background-color: #dbcfa9;
        
        img
        {
            height: 100px;
        }
    }

    h3
    {
        font-size: 26px;
        text-align: center;
        color: #b69960;
        font-weight: 700;
        line-height: 1.3;
        margin-bottom: 0;
    }

    p
    {
        font-size: 14px;
        margin-bottom: 15px;
        line-height: 1.4;
    }

    ul
    {
        position: relative;
    }

    ul::before
    {
        content: "";
        position: absolute;
        left: 15px;
        top: 20px;
        bottom: 20px;
        width: 2px;
        background-color: #cdb987;
    }

    li
    {
        font-size: 14px;
        padding-top: 8px;
        padding-bottom: 8px;
        padding-left: 40px;
        background-image: url("../images/gfx/li_history-KwSUSBg.png");
        background-repeat: no-repeat;
        background-position: left center;
        line-height: 1.4;
    }

    li a
    {
        color: #4c4c4c;
    }
}

.modal-content:has(#modal_history)
{
    padding: 0;
}